package vtk;

import java.util.Properties;
import java.util.StringTokenizer;

public class vtkSettings
{
  private static String GetVTKBuildLibDir() { return "/tmp/SBo/VTK-7.1.1/build/lib64"; }
  private static String GetVTKInstallLibDir() { return "/usr/"; }

  private static String[] Split(String str, String sep)
    {
    StringTokenizer st = new StringTokenizer(str, sep);
    int size = st.countTokens();
    String[] res = new String[size];
    int cnt = 0;
    while (st.hasMoreTokens())
      {
      res[cnt] = st.nextToken();
      cnt ++;
      }
    return res;
    }

  public static String GetVTKLibraryDir()
    {
    String lpath = null;
    Properties p = System.getProperties();
    String path_separator = p.getProperty("path.separator");
    String s = p.getProperty("java.class.path");
    String[] paths = vtkSettings.Split(s, path_separator);
    int cc;
    for ( cc = 0; cc < paths.length; cc ++ )
      {
      if ( paths[cc].endsWith("vtk.jar") )
        {
        lpath = paths[cc].substring(0, paths[cc].length()-"vtk.jar".length()-1);
        }
      }
    if ( lpath == null )
      {
      lpath = vtkSettings.GetVTKInstallLibDir();
      }
    return lpath;
    }

  public static String[] GetKits()
    {
    return vtkSettings.Split("CommonCore;CommonMath;CommonMisc;CommonSystem;CommonTransforms;CommonDataModel;CommonColor;CommonExecutionModel;CommonComputationalGeometry;FiltersCore;FiltersGeneral;ImagingCore;ImagingFourier;FiltersStatistics;FiltersExtraction;InfovisCore;FiltersGeometry;FiltersSources;RenderingCore;RenderingFreeType;RenderingContext2D;ChartsCore;IOCore;IOLegacy;IOXMLParser;DomainsChemistry;IOImage;RenderingOpenGL2;DomainsChemistryOpenGL2;IOXML;ParallelCore;FiltersAMR;FiltersFlowPaths;FiltersGeneric;ImagingSources;FiltersHybrid;FiltersHyperTree;ImagingGeneral;FiltersImaging;FiltersModeling;FiltersParallel;ParallelMPI;FiltersParallelDIY2;FiltersParallelGeometry;FiltersParallelImaging;FiltersParallelMPI;FiltersPoints;FiltersProgrammable;FiltersSMP;FiltersSelection;FiltersTexture;FiltersVerdict;InteractionStyle;IOSQL;ImagingHybrid;InfovisLayout;ImagingColor;RenderingAnnotation;RenderingVolume;InteractionWidgets;ViewsCore;GeovisCore;IOAMR;IOEnSight;IOExodus;RenderingGL2PSOpenGL2;IOExport;IOGeometry;IOImport;IOInfovis;IOLSDyna;IOMINC;IOMPIImage;IONetCDF;IOParallel;IOMPIParallel;IOMovie;IOPLY;IOParallelNetCDF;IOParallelXML;IOTecplotTable;IOVideo;ImagingMath;ImagingMorphological;ImagingStatistics;ImagingStencil;InteractionImage;RenderingContextOpenGL2;RenderingImage;RenderingLOD;RenderingLabel;RenderingQt;RenderingVolumeOpenGL2;ViewsContext2D;ViewsInfovis;ViewsGeovis;WebGLExporter;WebCore", ";");
    }
}
